#!/bin/sh

name=""
if [ -f player.cfg ]
then name=`grep name player.cfg | awk -F= '{ print $2 }'`
fi

if [ "x$name" == "x" ]
then name=`zenity --width=300 --title="ACM : Player name " --entry --text="Please choose a player name." --entry-text="$name"`
     if [ "x$name" == "x" ]
     then name="player1"
     fi
     echo "name=$name" > player.cfg
fi

plane=$(zenity --width=300 --title="ACM : Plane model " --height=230 --list --text="Choose your plane" --column="Model" "MiG-29" "Su-30" "F-16" "C-172")
if [ "x$plane" == "x" ]
then plane="F-16"
fi

while :
do
   ../bin/acm.bin -arcade -name "$name" -plane "$plane" > acm.log
   msg=`tail -2 acm.log`
   zenity --title="ACM : Game over " --question --text "$msg\n\n       *** Game over ***\n\n Do you want to takeoff ?"
   if [ $? -ne 0 ]
   then break
   fi
done
